Subject: RE: [Mip4] HoA=0.0.0.0 question

From: "Chowdhury, Kuntal" <[email-masked]>
Date: Tue, 21 Jun 2005 16:40:30 -0400

Henrik,

IMHO, HAs can assign the same HoA to the MN even if the HAs don't do address management via DHCP. The idea of posting the question in the first place was to clarify the behavior with MIP4 experts. After past few days discussion, I think I got my answer: i.e. leave it upto the implementation.

I will log out of this discussion for now, and thanks for all the responses.

Regards,
Kuntal 

> -----Original Message-----
> From: Henrik Levkowetz [mailto:[email-masked]]
> Sent: Tuesday, June 21, 2005 2:59 PM
> To: Chowdhury, Kuntal
> Cc: Kent Leung (kleung); [email-masked]
> Subject: Re: [Mip4] HoA=0.0.0.0 question
> 
> 
> 
> [Kent]
> >>>> Note that I would still set HoA=0 for every RRQ on the MN
> >>> to save some
> >>>> $ for time-based billing.  :)
> 
> This is a good point, and underlines the fact that it's pretty
> absurd to leave it up to the MN to signal, directly or indirectly,
> how and when it will be authenticated or billed.
> 
> [Kuntal]
> >>> Yes, you can...but if you do that you run the risk of getting a
> >>> different address (HoA) every time you send an RRQ. This is 
> >>> because, the HAs may treat the HoA=0 as a new registration, 
> >>> therefore tear down the old binding and admit a new binding and
> >>> assign a new HoA. This may break your applications/sessions. To
> >>> save a few cents you will cause yourself more pain in that case.
> >>> Besides, it does not take too much time for the operators to
> >>> figure out revenue leaks.
> >>> 
> 
> You only run that risk with a fairly incompetent implementation of
> dynamic HoA assignment.  An implementation which e.g. uses the
> mechanisms defined by and for DHCP will not make this mistake, and
> re-designing Mobile-IP because it would be possible to implement the
> dynamic address assignment feature in an incompetent manner seems
> a bit unnecessary.
> 
> [Kent]
> >> But since the MN knows the reg lifetime, it can send RRQ with HoA=0
> >>  before expiration so the chance is good that mobility binding 
> >> exists if HA is functioning properly.  And HA has to consider the
> >> case when MN moves to a black-out area and provide the same HoA to
> >> MN whenever possible - the benefits of same HoA.
> >> 
> 
> Correct
> 
> [Kuntal]
> > MN's knowledge of the reg-lifetime won't save it from getting a new
> > HoA if it uses HoA=0 in every RRQ. Please note that this discussion
> > did not start based on how HAs should do address management. Rather
> > the aim here is to define a way to distinguish registrations from
> > re-registrations so that the HAs can apply N-number of 
> local policies
> > (including interaction with the AAA) on the MIP sessions.
> > 
> 
> I'm sorry to say this, but it seems to me, Kuntal, that you've decided
> that you want a certain solution, without being willing to take a step
> back and look at the broader picture and re-evaluate your options.
> 
> As said above, a good implementation of dynamic address 
> allocation will
> provide the same address if at all possible, even if the registration
> has lapsed meanwhile.
> 
> However, your statement that the aim is to define a way to distinguish
> registrations from re-registrations is based on a belief that 1) this
> makes sense, and 2) it is possible.
> 
> I've tried to say that both of these may be false, and in order to
> progress, could you please explain in more detail what it is you
> actually require?  
> 
> Could it be that doing something as simple as monitoring the CoA, and
> apply certain policies every time the CoA changes, would help you?
> 
> Or maybe it is more appropriate to apply a policy every time a
> registration is done when there is no currently active binding?
> 
> I believe there are many valid state changes available to trigger
> policy application off, without redesigning the protocol.
> 
> 
> 	Henrik
> 

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/

---

From: "Charles E.Perkins" <[email-masked]>
Date: Tue, 21 Jun 2005 15:47:19 -0700

Hello Kuntal,

"Chowdhury, Kuntal" wrote:

> IMHO, HAs can assign the same HoA to the MN even if the HAs don't do address
> management via DHCP. The idea of posting the question in the first place was
> to clarify the behavior with MIP4 experts. After past few days discussion,
> I think I got my answer: i.e. leave it upto the implementation.

I didn't exactly see anyone else make that statement.

> I will log out of this discussion for now, and thanks for all the responses.

I would think that if you have an idea about how to fix a problem,
you should consider writing an Internet Draft and finding other
people who want to help solve the problem.

Regards,
Charlie P.